cURL
curl --request POST \
--url https://api.example.com/api/v1/vm/branch/by_vm/{vm_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/vm/branch/by_vm/{vm_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/vm/branch/by_vm/{vm_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"vms": [
{
"vm_id": "<string>"
}
]
}{
"vms": [
{
"vm_id": "<string>"
}
]
}{
"vms": [
{
"vm_id": "<string>"
}
]
}{
"vms": [
{
"vm_id": "<string>"
}
]
}{
"vms": [
{
"vm_id": "<string>"
}
]
}POST
/
api
/
v1
/
vm
/
branch
/
by_vm
/
{vm_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
VM to commit and then branch off of
Query Parameters
If true, keep VM paused after commit
If true, immediately return an error if VM is booting instead of waiting
Number of VMs to branch (optional; default 1)
Required range:
x >= 0Response
Branch VM(s) created successfully
Show child attributes
Show child attributes
⌘I